Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations
PUTBare Metal Management OperationsSince 3.4.0SynchronousAuth Required
ChangePreconfigurationTemplateState
ChangePreconfigurationTemplateState
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe UUID of the template.
Body Fields
changepreconfigurationtemplatestateObjectRequiredchangepreconfigurationtemplatestate request body object.
stateEventStringRequiredThe action taken to change the state of the preconfigured template.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/baremetal/preconfigurations/{uuid}/actions
/zstack/v1/baremetal/preconfigurations/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/baremetal/preconfigurations/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changepreconfigurationtemplatestate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "1bc7b68589b44d7eb906605ceaed3e23", "name": "centos_7_x86_64_mini_v1.cfg", "description": "centos-7-minimal kickstart file", "distribution": "centos-7-x86_64", "type": "kickstart", "content": "...", "md5sum": "b4ddb3884d63478d819b5507df6b21a8", "isPredefined": false, "state": "Enabled", "createDate": "Feb 28, 2019 4:55:38 PM", "lastOpDate": "Feb 28, 2019 4:55:38 PM" } }Change History
This API has no change history records yet.
